%define _disable_ld_no_undefined 1

%define name labplot
%define rname LabPlot
%define version 1.6.0.2
%define release %mkrel 5

%define major 1
%define libname %mklibname %name %major
%define libnamedev %mklibname %name -d

Summary:	Plotting and data analysis application
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://labplot.sourceforge.net/index.html
Source0:	http://mitarbeiter.mbi-berlin.de/gerlach/Linux/LabPlot/%{rname}-%{version}.tar.bz2
Source1:	http://labplot.sourceforge.net/LabPlot-Handbook-1.6.0-en.tar.gz
Source2:	http://labplot.sourceforge.net/LabPlot-Handbook-1.6.0-de.tar.gz
Source3:	http://labplot.sourceforge.net/LabPlot-Handbook-1.5.0-fr.tar.bz2
Source4:	http://labplot.sourceforge.net/LabPlot-Handbook-1.5.0-br.tar.bz2
Source5:	http://labplot.sourceforge.net/LabPlot-Handbook-1.5.0-sv.tar.bz2
#Source10:	%{rname}-16.png
#Source11:	%{rname}-32.png
#Source12:	%{rname}-48.png
Patch0:		labplot-1.6.0.1-liborigin.patch
License:	GPLv2+
Group:		Sciences/Mathematics
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libart_lgpl-devel
BuildRequires:	libarts-devel
BuildRequires:	kdelibs3-devel
#BuildRequires:	hdf5-devel
BuildRequires:	netcdf-devel
BuildRequires:	gsl-devel
BuildRequires:	fftw-devel
BuildRequires:	jasper-devel
BuildRequires:	origin-devel
#BuildRequires:	libqwtplot3d-devel
Requires:	fftw >= 3.0.0 labplot-doc

%description
KDE Application for plotting and analysis of 2D and /3D functions and data.

%package -n %{libname}
Summary:	Librart for LabPlot
Group:  	Sciences/Mathematics

%description -n %{libname}
KDE Application for plotting and analysis of 2D and /3D functions and data.

%package -n %{libnamedev}
Summary:	Development files for LabPlot
Group:  	Development/Other
Requires:	%libname = %version
Provides:	liblabplot-devel
Obsoletes:	%{libname}-devel

%description -n %{libnamedev}
KDE Application for plotting and analysis of 2D and /3D functions and data.

%package -n %name-doc-br
Summary:	LabPlot brazilian documentation
Group:  	Books/Computer books
Provides:	labplot-doc
Requires:	locales-br

%description -n %name-doc-br
LabPlot brazilian documentation.

%package -n %name-doc-en
Summary:	LabPlot english documentation 
Group:  	Books/Computer books
Provides:	labplot-doc
Requires:	locales-en

%description -n %name-doc-en
LabPlot english documentation.

%package -n %name-doc-de
Summary:	LabPlot german documentation
Group:  	Books/Computer books
Provides:	labplot-doc
Requires:	locales-de

%description -n %name-doc-de
LabPlot german documentation.
 
%package -n %name-doc-fr
Summary:	LabPlot french documentation
Group:  	Books/Computer books
Provides:	labplot-doc
Requires:	locales-fr

%description -n %name-doc-fr
LabPlot french documentation.

%package -n %name-doc-it
Summary:	LabPlot italin documentation
Group:  	Books/Computer books
Provides:	labplot-doc
Requires:	locales-it

%description -n %name-doc-it
LabPlot italian documentation.

%package -n %name-doc-nl
Summary:	LabPlot dutch documentation
Group:  	Books/Computer books
Provides:	labplot-doc
Requires:	locales-nl

%description -n %name-doc-nl
LabPlot dutch documentation.

%package -n %name-doc-pl
Summary:	LabPlot polish documentation
Group:  	Books/Computer books
Provides:	labplot-doc
Requires:	locales-pl

%description -n %name-doc-pl
LabPlot polish documentation.

%package -n %name-doc-sv
Summary:	LabPlot swedish documentation
Group:  	Books/Computer books
Provides:	labplot-doc
Requires:	locales-sv

%description -n %name-doc-sv
LabPlot swedish documentation.


%prep
%setup -q -n %{rname}-%{version} -b 1 -b 2 -b 3 -b 4 -b 5
%patch0 -p1

%build

# for qwtplot3d
#export QWT3D_PATH="$QTDIR"

# for netcdf
export CPPFLAGS="${CPPFLAGS} -I%{_includedir}/netcdf-3"

./configure --prefix=%_prefix --libdir=%_libdir \
		--enable-system-netcdf \
		--enable-system-liborigin \
		--with-qt-librairies=%{qt3dir}
		
	
# clean unused-direct-shlib-dependencies
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool


%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%find_lang %{rname}


# remove links
rm -rf $RPM_BUILD_ROOT/%_docdir/HTML/en/LabPlot
rm -rf $RPM_BUILD_ROOT/%_docdir/HTML/de/LabPlot
rm -rf $RPM_BUILD_ROOT/%_docdir/HTML/fr/LabPlot
rm -rf $RPM_BUILD_ROOT/%_docdir/HTML/br/LabPlot
rm -rf $RPM_BUILD_ROOT/%_docdir/HTML/sv/LabPlot
rm -rf $RPM_BUILD_ROOT/%_docdir/HTML/it/LabPlot
rm -rf $RPM_BUILD_ROOT/%_docdir/HTML/nl/LabPlot
rm -rf $RPM_BUILD_ROOT/%_docdir/HTML/pl/LabPlot
rm -rf $RPM_BUILD_ROOT/%_docdir/HTML/en/labplot
rm -rf $RPM_BUILD_ROOT/%_docdir/HTML/de/labplot
rm -rf $RPM_BUILD_ROOT/%_docdir/HTML/fr/labplot
rm -rf $RPM_BUILD_ROOT/%_docdir/HTML/br/labplot
rm -rf $RPM_BUILD_ROOT/%_docdir/HTML/sv/labplot
rm -rf $RPM_BUILD_ROOT/%_docdir/HTML/it/labplot
rm -rf $RPM_BUILD_ROOT/%_docdir/HTML/nl/labplot
rm -rf $RPM_BUILD_ROOT/%_docdir/HTML/pl/labplot

# create real directories
mkdir -p $RPM_BUILD_ROOT/%_docdir/HTML/de/LabPlot
mkdir -p $RPM_BUILD_ROOT/%_docdir/HTML/en/LabPlot
mkdir -p $RPM_BUILD_ROOT/%_docdir/HTML/fr/LabPlot
mkdir -p $RPM_BUILD_ROOT/%_docdir/HTML/br/LabPlot
mkdir -p $RPM_BUILD_ROOT/%_docdir/HTML/sv/LabPlot
mkdir -p $RPM_BUILD_ROOT/%_docdir/HTML/it/LabPlot
mkdir -p $RPM_BUILD_ROOT/%_docdir/HTML/nl/LabPlot
mkdir -p $RPM_BUILD_ROOT/%_docdir/HTML/pl/LabPlot

# copy doc
cp -r ../LabPlot-Handbook-1.6.0-de/* $RPM_BUILD_ROOT/%_docdir/HTML/de/LabPlot/
cp -r ../LabPlot-Handbook-1.6.0-en/* $RPM_BUILD_ROOT/%_docdir/HTML/en/LabPlot/
cp -r ../LabPlot-Handbook-1.5.0-fr/* $RPM_BUILD_ROOT/%_docdir/HTML/fr/LabPlot/
cp -r ../LabPlot-Handbook-1.5.0-br/* $RPM_BUILD_ROOT/%_docdir/HTML/br/LabPlot/
cp -r ../LabPlot-Handbook-1.5.0-sv/* $RPM_BUILD_ROOT/%_docdir/HTML/sv/LabPlot/


perl -pi -e "s@^Terminal=yes@Terminal=true@g" $RPM_BUILD_ROOT%{_datadir}/applications/kde/LabPlot.desktop

desktop-file-install --vendor="" \
	--remove-category="Education" \
	--add-category="Science" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	$RPM_BUILD_ROOT%{_datadir}/applications/kde/LabPlot.desktop
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/kde/LabPlot.desktop



%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun 
%clean_menus
%endif

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{rname}.lang
%defattr(-,root,root)
%doc AUTHORS CHANGES COPYING FEATURES INSTALL README TODO
%{_bindir}/*
%{_datadir}/mimelnk/application/x-lpl.desktop
%{_datadir}/mimelnk/application/x-lml.desktop
%{_datadir}/apps/%{rname}
%{_datadir}/applications/LabPlot.desktop
%{_iconsdir}/*/*/*/*.png

#%_miconsdir/%rname.png
#%_iconsdir/%rname.png
#%_liconsdir/%rname.png

%_mandir/man1/*

%files -n %libname
%defattr(-,root,root)
%_libdir/*.so.%{major}*
#packaged internal libs until build with system libs is fixed
#%_libdir/libLabPlotnetCDF.so.*
%_libdir/libLabPlotqwtplot3d.so.*

%files -n %libnamedev
%defattr(-,root,root)
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la

%files -n %name-doc-br
%defattr(-,root,root)
%_docdir/HTML/br/LabPlot/

%files -n %name-doc-en
%defattr(-,root,root)
%_docdir/HTML/en/LabPlot/

%files -n %name-doc-de
%defattr(-,root,root)
%_docdir/HTML/de/LabPlot/

%files -n %name-doc-fr
%defattr(-,root,root)
%_docdir/HTML/fr/LabPlot/

%files -n %name-doc-it
%defattr(-,root,root)
%_docdir/HTML/it/LabPlot/

%files -n %name-doc-nl
%defattr(-,root,root)
%_docdir/HTML/nl/LabPlot/

%files -n %name-doc-pl
%defattr(-,root,root)
%_docdir/HTML/pl/LabPlot/

%files -n %name-doc-sv
%defattr(-,root,root)
%_docdir/HTML/sv/LabPlot/


%changelog
* Thu Mar 26 2009 Helio Chissini de Castro <helio@mandriva.com> 1.6.0.2-5mdv2009.1
+ Revision: 361383
- Bump to rebuild against cooker

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against new libxcb

  + Emmanuel Andry <eandry@mandriva.org>
    - readd QT path
    - drop duplicate BR
    - obsoletes versionned devel package
    - use system netcdf

* Sat Aug 16 2008 Emmanuel Andry <eandry@mandriva.org> 1.6.0.2-1mdv2009.0
+ Revision: 272795
- use internal qwtplot3d
- BR origin devel
- add gentoo patch to fix build against liborigin
- New version
- fix license
- update handbooks
- major check
- add missing BR

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - create icon directories
    - rebuild
    - better description
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 14 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.5.1-3mdv2008.1
+ Revision: 119835
- rebuild b/c of missing l10n subpackage on ia32

* Tue May 15 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.5.1-2mdv2008.0
+ Revision: 27009
- Added missing BuildRequires for kdelibs-devel.
- Added missing BuildRequires for kdelibs-common.
- Rebuild.
- XDG menu fixes.
- Identation fixes.
- Import labplot



* Wed Apr 05 2006 Lenny Cartier <lenny@mandrakesoft.com> 1.5.1-1mdk
- 1.5.1
- update and add manuals

* Fri Apr 08 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.4.1-2mdk
- add manual

* Fri Apr 08 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.4.1-1mdk
- 1.4.1

* Fri Mar 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4.0-2mdk
- Rebuild

* Wed Jan 26 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.4.0-1mdk
- 1.4.0

* Mon Aug 30 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.3.1-1mdk
- 1.3.1

* Thu Jul 01 2004 Michael Scherer <misc@mandrake.org> 1.2.3-2mdk 
- rebuild for new ImageMagick

* Tue Feb 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2.3-1mdk
- 1.2.3
- menu

* Tue Oct 28 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.2.1-1mdk
- 1.2.1
- set %%_libdir in configure
- Labplot icons

* Wed Sep 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.2.0-1mdk
- 1.2.0

* Tue Aug 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1.1-1mdk
- add menu entry
- from David Walser <luigiwalser@yahoo.com> :
	- first package
